{
  config,
  lib,
  ...
}: let
  cfg = config.hive.flameshot;
in {
  options.hive.flameshot.enable = lib.mkEnableOption "Flameshot service.";
  config = lib.mkIf cfg.enable {
    services.flameshot.enable = true;
  };
}
